package com.diagbot.repository;

import com.diagbot.entity.node.YiBaoDiseaseName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface YiBaoDiseaseRepository extends Neo4jRepository<YiBaoDiseaseName, Long> {

    List<YiBaoDiseaseName> findByNameIs(String name);

    List<YiBaoDiseaseName> findByNameContaining(String name);

    @Query("MATCH (n:医保疾病名称) where n.name contains {name} return n limit 100 ")
    List<YiBaoDiseaseName> findByNameContainingLimit100(@Param("name") String name);

    List<YiBaoDiseaseName> findByNameIn(List<String> names);
}

