package com.diagbot.repository;

import com.diagbot.entity.node.YiBaoOperationName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface YiBaoOperationNameRepository extends Neo4jRepository<YiBaoOperationName, Long> {

    List<YiBaoOperationName> findByNameIs(String name);

    List<YiBaoOperationName> findByNameContaining(String name);

    @Query("MATCH (n:医保手术和操作名称) where n.name contains {name} return n limit 100 ")
    List<YiBaoOperationName> findByNameContainingLimit100(@Param("name") String name);

    List<YiBaoOperationName> findByNameIn(List<String> names);
}
